<?php
// required headers
header("Access-Control-Allow-Origin: *");
//header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/income.php';
 
session_start();
date_default_timezone_set('Asia/Bangkok'); 

$database = new Database();
$db = $database->getConnection();

$income = new Income($db);
$data = json_decode(file_get_contents("php://input"));
$income->id = $data->id;
$income->is_deleted = $_SESSION['user'] . " " . date("Y-m-d H:i:s");
if($income->delete()){
    echo 'deleted';
}else{
    echo 'error';
}
?>